﻿/*my-custom-css*/
.blink {
    animation: blink 1s infinite;
}

@keyframes blink {
    0% {
        opacity: 1;
    }

    50% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

#overlay {
    position: fixed; /* Sit on top of the page content */
    display: block; /* Hidden by default */
    width: 100%; /* Full width (cover the whole page) */
    height: 100%; /* Full height (cover the whole page) */
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,0.5); /* Black background with opacity */
    z-index: 2; /* Specify a stack order in case you're using a different order for other elements */
    cursor: pointer; /* Add a pointer on hover */
}

.act-tab {
    background-color: #105a7d !important;
}

.act-tab-light {
    background-color: #dbdbdb !important;
}

.print-btn {
    background-color: #ffffff;
    color: #008000;
    padding: 1px 15px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 23px;
    margin: 16px -3px 7px 1px;
    cursor: pointer;
}

.print-btn-div {
    display: flex;
    justify-content: flex-end;
}


hr {
    margin: 1rem 0;
    color: inherit;
    border: 0;
    border-top: var(--bs-border-width) solid;
    opacity: .25;
}

.w-200 {
    width: 200px;
}

.w-100 {
    width: 100px;
}

.txt {
    height: 40px;
    width: 100%;
    border: 1px darkgray solid;
    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.2);
    border-radius: 0;
}

.lbl {
    font-weight: bold;
    color: darkred;
    width: 100px;
    font-size: 14px;
    margin-bottom: 3px;
}

.form {
    font-family: Calibri,Arial !important;
}

.darkredtxt {
    color: darkred !important;
}
.darkgreentxt {
    color: darkgreen !important;
}


.darkbluetxt {
    color: darkblue;
}

.boldfont {
    font-weight: bold !important;
}


.font16 {
    font-size: 1rem !important;
}

.grid-head {
    background-color: #eee;
}

#loader {
    position: absolute;
    left: 50%;
    top: 50%;
    z-index: 1;
    width: 120px;
    height: 120px;
    margin: -60px 0 0 -50px;
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid #3498db;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
}


#txt {
    position: absolute;
    left: 50%;
    top: 50%;
    z-index: 1;
    width: 120px;
    height: 120px;
    margin-top: 70px;
    margin-left: -30px;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/* Add animation to "page content" */
.animate-bottom {
    position: relative;
    -webkit-animation-name: animatebottom;
    -webkit-animation-duration: 1s;
    animation-name: animatebottom;
    animation-duration: 1s
}

@-webkit-keyframes animatebottom {
    from {
        bottom: -100px;
        opacity: 0
    }

    to {
        bottom: 0px;
        opacity: 1
    }
}

@keyframes animatebottom {
    from {
        bottom: -100px;
        opacity: 0
    }

    to {
        bottom: 0;
        opacity: 1
    }
}

.page-head {
    /*    background-color: #3a4f63;*/
    background-color: #0476aaff;
    padding: 10px;
    width: 100%;
    text-align: center;
    font-size: 1rem;
    font-weight: 600;
    font-family: Arial;
    color: white;
}

.caption {
    background-color: #f0f0f0;
    padding: 2px;
    width: 100%;
    text-align: center;
    font-size: 1.1rem;
    font-weight: 600;
    font-family: Arial;
    color: #260101;
}

.mud-checkbox {
    margin: -2px !important;
    margin-left: auto !important;
}

.w-full {
    width: 100% !important;
}

.w-140 {
    width: 140px;
}

.txt-left {
    text-align: left !important;
}

.txt-d-magenta {
    color: darkred !important;
}

.txt-d-red {
    color: darkmagenta !important;
}


td .mud-checkbox {
    margin-right: auto !important;
}

.report-viewer {
    background-color: white;
    text-align: center;
    box-sizing: border-box;
}

.report-viewer .mud-button-group-root .mud-button-root:disabled,
.report-viewer .mud-button-group-root button[disabled],
.mud-button-group-root .mud-button-root:disabled,
.mud-button-group-root button[disabled],
.mud-button-group .mud-button-root:disabled,
.mud-button-group .mud-button-root.mud-disabled {
    background-color: #0476aaff !important;
    color: #00547a !important;
    opacity: 1 !important;
}
/**/
/*.report-viewer .mud-button-group-root .mud-button-root:disabled .mud-icon-root,
.report-viewer .mud-button-group-root button[disabled] .mud-icon-root,
.mud-button-group-root .mud-button-root:disabled .mud-icon-root,
.mud-button-group-root button[disabled] .mud-icon-root {
    color: #00547a !important;
    fill: currentColor !important;
    opacity: 1 !important;
}*/
/*
.report-viewer .report-tool-disabled,
.report-viewer .report-tool-disabled:disabled,
.report-viewer button.report-tool-disabled[disabled] {
    background-color: #0476aaff !important;
    color: #00547a !important;
    opacity: 1 !important;
}*/

/*.report-viewer .report-tool-disabled .mud-icon-root,
.report-viewer button.report-tool-disabled[disabled] .mud-icon-root {
    color: #00547a !important;
    fill: currentColor !important;
    opacity: 1 !important;
}*/

.nolabel .mud-checkbox-input {
    position: relative !important;
}


.mud-table-cell {
    text-align: center !important;
    font-weight: bold !important;
}

.cell_right {
    text-align: right !important;
   
}

.My-table-head th {
    color: ghostwhite !important;
    /*   background-color: #3a4f63 !important;*/
    background-color: #0476aaff !important;
    text-align: center !important;
    font-weight: bold !important;
}

.My-table-foter th {
    color: ghostwhite !important;
    /*   background-color: #3a4f63 !important;*/
    background-color: #0476aaff !important;
}

.mud-table-bordered .mud-table-container .mud-table-root .mud-table-body .mud-table-row .mud-table-cell {
    /*    border-right: 1px solid var(--mud-palette-table-lines) !important;
*/
}

.mud-table-dense * .mud-table-row .mud-table-cell {
    padding: 5px 2px;
    /* padding-inline-start: 6px;
    padding-inline-end: 6px;*/
}

.mud-nav-group > .mud-nav-link > .mud-nav-link-text {
    font-weight: 600 !important;
    letter-spacing: 0.05em !important;
}

input[type="text" ] {
    /*   padding: 7.5px 8px !important;*/
    font-weight: bold !important;
}

.mud-select-input {
    /* padding:4px !important;*/
    font-weight: 600;
}

.bold {
    font-weight: bold !important;
}

/*#region my fix for mud-blazor */
/**/
.mud-input-label-inputcontrol {
    color: darkred !important;
    font-weight: bold !important;
}

.mud-shrink ~ label.mud-input-label.mud-input-label-inputcontrol.mud-input-label-outlined, .mud-input:focus-within ~ label.mud-input-label.mud-input-label-inputcontrol.mud-input-label-outlined {
    transform: translate(-10px,-10px) scale(1) !important;
/*    background-color: red;*/
}

.mud-application-layout-rtl .mud-input-label-outlined.mud-input-label-margin-dense {
    transform: translate(-5px,-10px) scale(1) !important;
    background-color: white;


}

.mud-input-control > .mud-input-control-input-container > .mud-input-label-inputcontrol {
    font-size: .8rem !important;
}

.mud-input-control .mud-input-slot,
.mud-input-control input.mud-input-root,
.mud-select .mud-select-input {
    font-family: Calibri, Arial, sans-serif !important;
    font-size: 1rem !important;
    font-weight: 600 !important;
    color: #222 !important;
}
/**/
.mud-input-control .mud-input-label-inputcontrol,
.mud-input-label-outlined {
    font-family: Calibri, Arial, sans-serif !important;
    font-weight: 700 !important;
    color: darkred !important;
}

.mud-nav-link {
    padding: 4px 18px 4px 18px !important;
}

input {
    text-align: center !important
}

.mud-list-item {
    padding-top: 2px !important;
    padding-bottom: 2px !important;
}

.mud-dialog-width-full {
    width: 100% !important;
}

.mud-data-grid .mud-table-cell .column-header {
    justify-content: center !important;
}
/*#endregion */

/*///////////////////////////////////////////table1 style///////////////////////////*/

.mytable {
    border-collapse: collapse;
    width: 100%;
    font-weight: bold;
}

    .mytable thead th {
        height: 40px;
        text-align: center;
        color: white;
        font-weight: bold;
        background-color: #0476aa;
    }

    .mytable tfoot th {
        height: 40px;
        text-align: center;
        color: white;
        font-weight: bold;
        background-color: #8d8d8d;
    }

    .mytable tbody tr:nth-child(odd) {
        background-color: #f2f8f9;
    }

.mytable, td, th {
    border: 1px solid #7575755e;
    padding-left: 3px;
    padding-right: 3px;
    padding: 5px;
    text-align: center;
}

.mytable1 {
    border-collapse: collapse;
    /*  width: 100%;*/
    font-weight: bold;
}

    .mytable1 thead th {
        height: 40px;
        text-align: center;
        color: white;
        font-weight: bold;
        background-color: #0476aa;
    }

    .mytable1 tfoot th {
        height: 40px;
        text-align: center;
        color: white;
        font-weight: bold;
        background-color: #8d8d8d;
    }



.mytable1, td, th {
    border: 1px solid #7575755e;
    padding-left: 3px;
    padding-right: 3px;
    text-align: center;
}

.est {
    margin: 0 10px;
}

.esttable {
    border-collapse: collapse;
    width: 100%;
}

    .esttable th, .esttable td {
        border: 3px solid black;
        font-weight: bold;
    }

    .esttable.center {
        margin-left: auto;
        margin-right: auto;
    }

.table-box {
    overflow-x: auto;
    margin-left: auto;
    margin-right: auto;
    direction: rtl;
}


.gyabrecord {
    border-collapse: collapse;
    width: 100%;
    font-weight: bold;
}

    .gyabrecord thead th {
        height: 40px;
        text-align: center;
        color: white;
        font-weight: bold;
        background-color: #0476aa;
    }


.gyabrecord, td, th {
    border: 1px solid #7575755e;
    padding-left: 3px;
    padding-right: 3px;
    padding: 5px;
}







.table_container {
    direction: rtl;
    margin-left: auto;
    margin-right: auto;
    overflow: auto;
    text-align: center;
    width: 100%;
    position: relative;
}

.info-p {
    color: #b70d00;
    padding: 10px;
    background-color: white;
    display: inline-block;
    border: #e6e6e6 1px solid;
    margin: 10px 0;
    font-weight: bold;
}

.info-p-nb {
    color: #b70d00;
    padding: 10px;
    background-color: white;
    display: inline-block;
    margin: 10px 0;
    font-weight: bold;
}

.maketablehesas {
    display: -webkit-inline-box;
    display: inline-flex;
    flex-direction: row;
    flex-wrap: wrap;
    margin-bottom: 20px;
}

.txt-center {
    text-align: center;
}

.max50 {
    max-width: 50px;
}

.max100 {
    max-width: 100px;
}

.max150 {
    max-width: 15px;
}

.max200 {
    max-width: 200px;
}

.max300 {
    max-width: 300px;
}

.max400 {
    max-width: 400px;
}

.max500 {
    max-width: 500px;
}

.max600 {
    max-width: 600px;
}

.max700 {
    max-width: 700px;
}

.max800 {
    max-width: 800px;
}

.max900 {
    max-width: 900px;
}

.center {
    margin-left: auto;
    margin-right: auto;
}

.block1 {
    display: inline-flex;
    margin: 15px 0;
}

.balanceText {
    float: left;
    color: darkred;
    background-color: #dfdfdf;
    margin-top: -54px;
    margin-bottom: 1px;
    margin-left: 8px;
    padding: 2px 7px;
    font-weight: bold;
    border-radius: 1px;
}


@media screen and (min-width: 400px) {
    .block1 {
        display: inline-block;
    }
}

@media screen and (max-width: 500px) {

    .balanceText {
        float: left;
        color: darkred;
        background-color: #dfdfdf;
        margin-top: -18px;
        margin-bottom: 2px;
        margin-left: 0;
    }
}

.ShowUp750 {
    /*    display: flex;
*/
}

@media screen and (max-width: 750px) {

    .ShowUp750 {
        display: none;
    }
}


.print-only {
    display: none;
}


@media print {
    .print-only {
        display: block;
    }

    .no-print {
        display: none !important;
    }

    @page {
        size: A4;
        background-color: white;
    }

    body {
        margin-left: auto;
        margin-right: auto;
    }

    .pagebreak {
        page-break-before: always;
        /* You can also use page-break-after */
    }

    .pagebreak-after {
        page-break-after: always;
        /* You can also use page-break-after */
    }

        .pagebreak-after:last-child {
            page-break-after: avoid;
        }

    .mada-group-container {
        page-break-after: always;
    }


    .mada-group-container:last-child {
            page-break-after: auto;
        }
    .no-break-inside {
        break-inside: avoid;
    }
}
